Bug 241224 - No documentation about new API
No documentation about new API
Status: CLOSED DUPLICATE of bug 219311
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 10:22 EDT by Adam Tkac
Modified: 2013-04-30 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-28 08:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2007-05-24 10:22:40 EDT
Description of problem:
new API (from /usr/include/ldap.h) is completely undocumented. I've tried write
some with new API and it looks like impossible :) . Best solution for now is
using deprecated api and define -DLDAP_DEPRECATED during compilation

Version-Release number of selected component (if applicable):
rpm -q openldap-devel
openldap-devel-2.3.34-0.fc7

How reproducible:
always

Steps to Reproduce:
try write something with new API :)

Actual results:
quite hard

Expected results:
nice function manpages

Additional info:
You don't have to be hurry with this. Spamming upstream to write documentation
could be enough :) Best "documentation" about this (what I've found) is
http://en.opensuse.org/OpenLDAP_2.3_libldap_upgrade_howto .
Comment 1 Jan Safranek 2007-05-25 09:58:13 EDT
Could you be please a bit more specific what is missing? Most of the functions
referred at http://en.opensuse.org/OpenLDAP_2.3_libldap_upgrade_howto have its
man  page.

There is existing bug #219311 regarding missing doc. of ldap_initialize, which
seems to be most critical.
Comment 2 Adam Tkac 2007-05-28 08:06:42 EDT
(In reply to comment #1)

> There is existing bug #219311 regarding missing doc. of ldap_initialize, which
> seems to be most critical.

ldap_initialize is second critical bug. For me is most critical ldap_sasl_bind &
ldap_sasl_bind_s functions. When I tried $man ldap_sasl_bind manpage says "SASL
AUTHENTICATION Description still under construction..." I'm closing this one
like dupe of bug #219311

-A-
Comment 3 Adam Tkac 2007-05-28 08:07:01 EDT

*** This bug has been marked as a duplicate of 219311 ***

Note You need to log in before you can comment on or make changes to this bug.